Bug 3881 - Canola2 source code is not available
: Canola2 source code is not available
Product: Canola
: unspecified
: All All
: High critical with 4 votes (vote)
: 2.0~beta10
Assigned To: Eduardo Lima (Etrunko)
: general-bugs
: easyfix
  Show dependency tree
Reported: 2008-11-21 04:56 UTC by Eduardo Lima (Etrunko)
Modified: 2009-12-14 21:56 UTC (History)
3 users (show)

See Also:



You need to log in before you can comment on or make changes to this bug.

Description Eduardo Lima (Etrunko) (reporter) maemo.org 2008-11-21 04:56:27 UTC
Back in the early days of Maemo, by the end of 2006, INdT released the first
version of its Canola software, but no source code was available. A couple of
months later at the first edition of Bossa Conference, Marcelo Eduardo (aka
Handful) had a talk where he showed the development process, from the first
sketches on paper to the future plans. By the end of the talk, he promised that
Canola source code would be released under a FOSS License.

Days, weeks and months passed, but the plans for Canola had changed since that
announcement. INdT had quit on developing using C and SDL and announced that
the new version was being completely rewritten, this time using Python and the
Enlightenment Foundation Libraries, EFL. The users and developers got really
excited knowing that the software would be easily extensible by 3rd party

Canola2 was released by the end of 2007, still closed source. During 2008, the
software improved a lot, with new themes and plugins to handle YouTube, Last.fm
and Flickr, which was really the very fisrt 3rd party plugin released.

During the first edition of the Maemo Summit, held in Berlin in September 2008,
Marcelo announced during his talk that the source code of Canola2 would be
finally released under a FOSS license.
Comment 1 Eduardo Lima (Etrunko) (reporter) maemo.org 2009-03-23 22:30:12 UTC
Finally closing this. Code is available in http://code.openbossa.org. Enjoy it!